"""Add time budgets table

Revision ID: 64bc9837edef
Revises: 7218e9517c00
Create Date: 2022-05-05 01:14:04.395901

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '64bc9837edef'
down_revision = '7218e9517c00'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        u"time-budget",
        sa.Column(u"id", sa.Integer, primary_key=True),
        sa.Column(u"user-id", sa.Integer, nullable=False),
        sa.Column(u"time-budget-s", sa.Integer, nullable=False, server_default=u"0"),
        mysql_charset="utf8",
        mysql_collate="utf8_unicode_ci"
    )
    op.create_foreign_key(
        u"FK_time-budget_users",
        u"time-budget",
        u"users",
        [u"user-id"],
        [u"id"],
        onupdate="CASCADE",
        ondelete="RESTRICT")


def downgrade():
    op.drop_constraint(u"FK_time-budget_users", "time-budget", type_="foreignkey")
    op.drop_table(u"time-budget")
